M7350v1_en_gpl

This commit is contained in:
T
2024-09-09 08:52:07 +00:00
commit f9cc65cfda
65988 changed files with 26357421 additions and 0 deletions
@@ -0,0 +1,14 @@
Upstream-Status: Inappropriate [poky-specific fix]
--- a/Makefile.inc
+++ b/Makefile.inc
@@ -57,6 +57,9 @@
ifeq ($(NO_UUID),)
LIBS += -luuid
endif
+ ifneq ($(RANLIB),)
+ RANLIB += $@
+ endif
endif
ifneq ($(OPSYS),Windows)
@@ -0,0 +1,94 @@
Upstream-Status: Inappropriate [poky-specific script]
--- a/Makefile
+++ b/Makefile
@@ -64,7 +64,7 @@
install -d -m 755 $(INSTALLROOT)$(INCLUDE)/tcf/services
install -c $(BINDIR)/agent -m 755 $(INSTALLROOT)$(SBIN)/tcf-agent
install -c $(BINDIR)/client -m 755 $(INSTALLROOT)$(SBIN)/tcf-client
- install -c main/tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent
+ install -c tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent
install -c config.h -m 755 $(INSTALLROOT)$(INCLUDE)/tcf/config.h
install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/framework -m 644 framework/*.h
install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/services -m 644 services/*.h
--- /dev/null
+++ b/tcf-agent.init
@@ -0,0 +1,78 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: tcf-agent
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: Target Communication Framework agent
+### END INIT INFO
+
+DAEMON_PATH=/usr/sbin/tcf-agent
+DAEMON_NAME=`basename $DAEMON_PATH`
+
+. /etc/init.d/functions
+
+test -x $DAEMON_PATH || exit 0
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+export PATH
+
+RETVAL=0
+
+case "$1" in
+ start)
+ echo -n "Starting $DAEMON_NAME: "
+ $DAEMON_PATH -d -L- -l0
+ RETVAL=$?
+ if [ $RETVAL -eq 0 ] ; then
+ echo "OK"
+ touch /var/lock/subsys/$DAEMON_NAME
+ else
+ echo "FAIL"
+ fi
+ ;;
+
+ stop)
+ echo -n "Stopping $DAEMON_NAME: "
+ count=0
+ while [ -n "`/bin/pidof $DAEMON_PATH`" -a $count -lt 10 ] ; do
+ killproc $DAEMON_PATH >& /dev/null
+ sleep 1
+ RETVAL=$?
+ if [ $RETVAL != 0 -o -n "`/bin/pidof $DAEMON_PATH`" ] ; then
+ sleep 3
+ fi
+ count=`expr $count + 1`
+ done
+ rm -f /var/lock/subsys/$DAEMON_NAME
+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
+ echo "FAIL"
+ else
+ echo "OK"
+ fi
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
+ echo "$DAEMON_NAME is running"
+ else
+ echo "$DAEMON_NAME is not running"
+ fi
+ ;;
+
+ condrestart)
+ [ -f /var/lock/subsys/$DAEMON_NAME ] && $0 restart
+ ;;
+
+ *)
+ echo "usage: $0 { start | stop | restart | condrestart | status }"
+ ;;
+esac
+
+exit $RETVAL
+
@@ -0,0 +1,51 @@
DESCRIPTION = "Target Communication Framework"
HOMEPAGE = "http://wiki.eclipse.org/TCF"
BUGTRACKER = "https://bugs.eclipse.org/bugs/"
LICENSE = "EPL-1.0 | EDL-1.0"
LIC_FILES_CHKSUM = "file://../epl-v10.html;md5=7aa4215a330a0a4f6a1cbf8da1a0879f \
file://edl-v10.html;md5=522a390a83dc186513f0500543ad3679"
SRCREV = "1855"
PV = "0.0+svnr${SRCPV}"
PR = "r3"
SRC_URI = "svn://dev.eclipse.org/svnroot/dsdp/org.eclipse.tm.tcf/trunk;module=agent;proto=http \
http://dev.eclipse.org/svnroot/dsdp/org.eclipse.tm.tcf/trunk/epl-v10.html;name=epl \
file://fix_ranlib.patch \
file://fix_tcf-agent.init.patch \
"
SRC_URI[epl.md5sum] = "7aa4215a330a0a4f6a1cbf8da1a0879f"
SRC_URI[epl.sha256sum] = "4fd64aeed340d62a64a8da4b371efe0f6d0d745f4d2dbefacba86c646d36bc72"
DEPENDS = "util-linux openssl"
RDEPENDS_${PN} = "bash"
S = "${WORKDIR}/agent"
inherit update-rc.d
INITSCRIPT_NAME = "tcf-agent"
INITSCRIPT_PARAMS = "start 999 3 5 . stop 20 0 1 2 6 ."
# mangling needed for make
MAKE_ARCH = `echo ${TARGET_ARCH} | sed s,i.86,i686,`
MAKE_OS = `echo ${TARGET_OS} | sed s,^linux.*,GNU/Linux,`
EXTRA_OEMAKE = "MACHINE=${MAKE_ARCH} OPSYS=${MAKE_OS} 'CC=${CC}' 'AR=${AR}'"
# They don't build on ARM and we don't need them actually.
CFLAGS += "-DSERVICE_RunControl=0 -DSERVICE_Breakpoints=0 \
-DSERVICE_Memory=0 -DSERVICE_Registers=0 -DSERVICE_MemoryMap=0 \
-DSERVICE_StackTrace=0 -DSERVICE_Symbols=0 -DSERVICE_LineNumbers=0 \
-DSERVICE_Expressions=0"
do_compile() {
oe_runmake
}
do_install() {
oe_runmake install INSTALLROOT=${D}
}